<?
include_once("mysql.php");
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/zag.php");
include_once("inclydings/ini.php");
include_once("inclydings/sesi.php");
if (isset($user)) {
include_once("inclydings/udata.php");
switch($go) {

default:

if(!@file("L2dbnam/esql2db/ali/$log.dat")){
echo"
Добро пожаловать!<br/>
Чтобы создать альянс вам нужно 200,000,000 <img src='pik4erspic/mini/aden.gif' alt='pic'/> и 1,000,000 опыта.<br/><br/>
<a href=\"ali.php?$sd&go=name\">Создать альянс</a>";}else{

$text = @file("L2dbnam/esql2db/ali/$log.dat");
$clan = explode(":||:",$text[0]);

echo"Добро пожаловать!<br/>
Имя альянса: <b>$clan[1]</b><br/><br/>
<li><a href=\"ali.php?$sd&go=toclan\">Взять в альянс</a><br/>
<li><a href=\"ali.php?$sd&go=list\">Список кланов</a><br/>
<li><a href=\"ali.php?$sd&go=chat\">Очистить чат альянса</a><br/>
<li><a href=\"ali.php?$sd&go=delali\">Удалить альянс</a>";

}
break;
case 'chat':
@unlink ("L2dbnam/esql2db/ali/chat/$log.dat");
echo"Чат альянса успешно очищен";

break;

case 'create':

if(!@file("L2dbnam/esql2db/clan/$log.dat")){echo"У вас нет клана!";include_once"inclydings/down.php"; exit; }
if($udata[8]<"200000000"){echo"У вас недостаточно денег!";include_once"inclydings/down.php"; exit; }
if($udata[19]<"1000000"){echo"У вас недостаточно опыта!";include_once"inclydings/down.php"; exit; }

if ($name == "" || strlen($name) > 11 || strlen($name) < 3) { echo"Название альянса не должно быть более 11 букв и не менее 3."; echo "</p></card></wml>"; exit;}

$name = htmlspecialchars(stripslashes($name));

$text=$log.':||:'.$name.':||::||:0:||:';

$fp=fopen("L2dbnam/esql2db/ali/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$fp=fopen("L2dbnam/esql2db/ali/clans/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$udata[19]=round($udata[19]-1000000);

$udata[8]=round($udata[8]-200000000);

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"Альянс успешно создан!";

break;

case 'name':
if(!@file("L2dbnam/esql2db/clan/$log.dat")){echo"У вас нет клана!";include_once"inclydings/down.php"; exit; }
if($udata[8]<"200000000"){echo"У вас недостаточно Аден!";include_once"inclydings/down.php"; exit; }
if($udata[19]<"1000000"){echo"У вас недостаточно опыта!";include_once"inclydings/down.php"; exit; }

echo "<form action=\"ali.php?go=go&".$sd."&go=create\" method=\"post\">$log Введите названи алянса:<br/>";
echo "<input name=\"name\" maxlength=\"11\" title=\"name\"/><br/>";
echo '<input type="submit" value="Создать" /></form>';

break;

case 'toclan':



if(!@file("L2dbnam/esql2db/ali/$log.dat")){echo"У вас нет альянса!"; include_once"inclydings/down.php"; exit; }


echo "<form action=\"ali.php?go=go&".$sd."&go=tocreate\" method=\"post\">Введите ник главы клана:<br/>";
echo "<input name=\"name\" value=\"$(name)\"/><br/>";
echo '<input type="submit" value="Создать" /></form>';

break;
case 'tocreate':

if(!@file("L2dbnam/esql2db/ali/$log.dat")){echo"У вас нет альянса!"; include_once"inclydings/down.php"; exit; }

if(!@file("L2dbnam/esql2db/reg/$name.dat")){echo"Такого игрока нет."; include_once"inclydings/down.php"; exit; }

if(!@file("L2dbnam/esql2db/clan/$name.dat")){echo"У этого игрока нет клана."; include_once"inclydings/down.php"; exit; }


if(@file("L2dbnam/esql2db/ali/names/$name.dat")){echo"Этот клан состоит в другом альянсе.";  include_once"inclydings/down.php"; exit;}

$name = htmlspecialchars(stripslashes($name));


$text=$log.':||:'.$name.':||:';

$fp=fopen("L2dbnam/esql2db/ali/tmp/$name.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"Предложение отослано!";

break;

case 'ok':

$uzer = htmlspecialchars(stripslashes($uzer));

if(!@file("L2dbnam/esql2db/ali/$uzer.dat")){echo"Такого альянса не существует.";
include_once"inclydings/down.php"; exit; }

if(@file("L2dbnam/esql2db/ali/names/$log.dat")){echo"Вы в альянсе! Вы не можете вступить в еще один.";
include_once"inclydings/down.php"; exit; }

$text='|'.$log.'';

$fp=fopen("L2dbnam/esql2db/ali/clans/$uzer.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/ali/names/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$uzer|\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

@unlink ("L2dbnam/esql2db/ali/tmp/$log.dat");

echo"Вы успешно вступили в альянс!";

break;

case 'del':

unlink ("L2dbnam/esql2db/ali/tmp/$log.dat");

echo"Вы отказались.";

break;

case 'list':

if(@file("L2dbnam/esql2db/ali/clans/$log.dat")){

echo"Нажмите на ник чтобы выгнать из альянса.<br/>";
$file = @file("L2dbnam/esql2db/ali/clans/$log.dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

$file = @file("L2dbnam/esql2db/ali/clans/$log.dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);

$id=$total-$i-1;

$data[1]=trim($data[1]);

$file = @file("L2dbnam/esql2db/clan/$data[1].dat");
$data2 = explode(":||:",$file[0]);

echo"<a href=\"ali.php?$sd&go=out2&name=$data[1]\">$data[1]</a> - $data2[1]<br/>";
}

if($total=="0"){echo"В альянсе никого нет.";}
}else{echo"В клане альянсе никого нет.";}

if ($start != 0) {echo '<a href="ali.php?start='.($start - 10).'&'.$sd.'&go=list">Назад</a> ';}

if ($total > $start + 10) {echo ' <a href="ali.php?start='.($start + 10).'&log='.$log.'&pas='.$pas.'&go=list">Далее</a>';}




break;

case 'out':
if(@file("L2dbnam/esql2db/ali/$log.dat")){echo"Вы лидер альянса поэтому неможете выйти с альнса."; include_once"inclydings/down.php"; exit;}
if($udata[23]!==$log){echo"У вас нет прав на выход из альянса."; include_once"inclydings/down.php"; exit;}
if(!@file("L2dbnam/esql2db/ali/names/$log.dat")){echo"Вы не в альянсе."; include_once"inclydings/down.php"; exit;}

@unlink("L2dbnam/esql2db/ali/names/$log.dat");
echo"Вы вышли из альянса.";



break;

case 'out2':

if(!@file("L2dbnam/esql2db/ali/$log.dat")){echo"Вы не в альянсе."; include_once"inclydings/down.php"; exit;}
$name=htmlspecialchars(stripslashes(addslashes(trim($name))));

$fak = @file("L2dbnam/esql2db/ali/clans/$log.dat");
$total=count($fak);
for($i=0; $i<$total; $i++){
$data = explode("|",$fak[$i]);

if(trim($data[1])==trim($name)){

$file=file("L2dbnam/esql2db/ali/clans/$log.dat");

$fp=fopen("L2dbnam/esql2db/ali/clans/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

@unlink("L2dbnam/esql2db/ali/names/$name.dat");
echo"$name Выгнан из альянса";
}
}




break;
case 'delali':
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
$file = @file("L2dbnam/esql2db/ali/clans/$log.dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);
$id=$total-$i-1;
$data[1]=trim($data[1]);
@unlink ("L2dbnam/esql2db/ali/names/$data[1].dat");
@unlink ("L2dbnam/esql2db/ali/$login.dat");
@unlink ("L2dbnam/esql2db/ali/bank/$login.dat");
@unlink ("L2dbnam/esql2db/ali/chat/$login.dat");
@unlink ("L2dbnam/esql2db/ali/clans/$login.dat");
@unlink ("L2dbnam/esql2db/ali/desk/$login.dat");
@unlink ("L2dbnam/esql2db/ali/logs/$login.dat");
@unlink ("L2dbnam/esql2db/ali/names/$login.dat");
@unlink ("L2dbnam/esql2db/ali/site/$login.dat");
@unlink ("L2dbnam/esql2db/ali/logsgold/$login.dat");
@unlink ("L2dbnam/esql2db/ali/logscoin/$login.dat");
@unlink ("L2dbnam/esql2db/ali/kaznagold/$login.dat");
@unlink ("L2dbnam/esql2db/ali/kaznacoin/$login.dat");
@unlink ("L2dbnam/esql2db/ali/kazna/$login.dat");
@unlink ("L2dbnam/esql2db/ali/gold/$login.dat");
@unlink ("L2dbnam/esql2db/ali/coin/$login.dat");
@unlink ("L2dbnam/esql2db/ali/tmp/$login.dat");}
echo"Альянс успешно удалён";
}}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>

